Problema con JasperSoft Studio 6.3.0 y Ubuntu 16.04: SWTException: Failed to execute runnable

Recién actualice mi PC a Ubuntu Xenial (16.04) mi JasperSoft Studio 6.3.0 comenzó a tener fallos, no “pintaba” bien la interfaz gráfica y algunos textos desaparecían, así como de pronto se congelaba y el CPU mostraba alto consumo en el proceso java. También otro síntoma es que la conexiones no funcionaban y las consultas que utilizaban los reportes no se cargaban en la edición gráfica.

El archivo .log de JasperSoft Studio mostraba la excepción SWTException continuamente.

El problema se debe a que ésta nueva versión LTS de Ubuntu utiliza la versión 3 de GTK y la versión de Eclipse que utiliza el JasperSoft Studio no es compatible o tiene conflictos con esta versión.

La solución es editar el archivo .ini de JasperSoft Studio que se encuentra dentro de la carpeta donde se instaló este, y agregar las líneas que se muestran en negrita antes del parámetro -vm:

-startup
plugins/org.eclipse.equinox.launcher_1.3.100.v20150511-1540.jar
--launcher.library
plugins/org.eclipse.equinox.launcher.gtk.linux.x86_64_1.1.300.v20150602-1417
-data
@noDefault
--launcher.defaultAction
openFile
--launcher.GTK_version
2
-vm
features/jre.linux.gtk.x86_64.feature_1.8.0.u77/jre/bin
-vmargs
-Xms1024m
-Xmx2048m
-XX:+CMSClassUnloadingEnabled
-XX:+UseConcMarkSweepGC
-Dfile.encoding=UTF-8
-Djava.net.preferIPv4Stack=true

Otra solución es establecer la variable de ambiente SWT_GTK3 en el archivo runubuntu.sh que se encuentra dentro de la carpeta de instalación; de esta forma:

#!/bin/bash
DIR=$(dirname "$0")
export UBUNTU_MENUPROXY=0;
export SWT_GTK3=0;
"$DIR"/Jaspersoft\ Studio $*

Si se opta por ésta última solución, es necesario arrancar el JasperSoft Studio ejecutando este archivo y no el archivo binario Jasper Studio.

¡Visita los patrocinadores para tener más tips de estos!

¡Gracias y saludos!

Deja un comentario